/*-------------------------------------------------------------------------------
Copyright (c)2000 TogetherSoft Corporation. Patents pending. All rights reserved.
-------------------------------------------------------------------------------*/

#ifndef THING_H
#define THING_H

class ThingRole;

/** @stereotype thing */
class Thing {
public:
    int assessAcrossRoles();

    void getCustomElseDefaultValue();

    int listRoles();

    static void listThings();

    static int assessAcrossThings();

private:
    /** @clientCardinality 1
     * @supplierCardinality 0..1 */
    ThingRole lnkUnnamed;

    int serialNumber;
    int name;
    int address;
    int customValue;
};
#endif //THING_H
